package org.petuum.app.nodedegree;

import org.kohsuke.args4j.Option;
import org.petuum.jbosen.PsConfig;

public class NodeDegreeConfig extends PsConfig {
	@Option(name = "-staleness", required = false, usage = "Staleness of parameter tables. Default = 0")
	public int staleness = 0;

	@Option(name = "-dataFile", required = true, usage = "Path to data file.")
	public String dataFile = "";
	
	@Option(name = "-N", required = true, usage = "Number of nodes.")
	public int N = 0;
	
	@Option(name = "-M", required = true, usage = "Number of edges.")
	public int M = 0;
}
